 
{  3D_DIELECTRIC.PDE

   This problem is a 3D extension of DIELECTRIC.PDE
}
 
title
  'Electrostatic Potential'
 
coordinates
  cartesian3
 
variables
  V
 
definitions
  eps = 1
 
equations
  div(eps*grad(V)) = 0		{ Potential equation }
 
extrusion
  surface "bottom"  z=0
  surface "dielectric_bottom" z=0.1
	layer "dielectric"
  surface "dielectric_top"  z=0.2
  surface "top"  z=0.3
 
boundaries
 
  surface "bottom" natural(V)=0
  surface "top" natural(V)=0
 
  region 1
    start (0,0)
    value(V) = 0   		line to (1,0)
    natural(V) = 0      line to (1,1)
    value(V) = 100      line to (0,1)
    natural(V) = 0      line to close
 
  region 2
    layer "dielectric"  eps = 50
      start (0.4,0.4)
      line to (0.8,0.4) to (0.8,0.8) to (0.6,0.8) 
           to (0.6,0.6) to (0.4,0.6) to close
 
monitors
  contour(V) on z=0.15 as 'Potential'
 
plots
  contour(V) on z=0.15 as 'Potential'
  vector(-dx(V),-dy(V)) on z=0.15 as 'Electric Field'
  contour(V) on x=0.5 as 'Potential'
 
end "DoPB7i70IWIVMcbvhahg8JKO/GQKvQMM0F8LqgWR9hWV351xnx91VbWZCTwEM30xNEt/wfzPTIyVQNve+MyPSeCasbMZrXu5Fj8qJN7buMoA4j9/09Nrt0+51mkLDfDLfMhOny041MNl8XEisRhk4bBSouY8iNdZClcw9e3PLlU"
