{  POROUS.PDE  

  This problem describes the flow through an anisotropic porous foundation.
  It is taken from Zienkiewicz, "The Finite Element Method in Engineering Science",
  p. 305. 

}
 
title 'Anisotropic Porous flow'
 
variables
  pressure
 
definitions
  ky = 1
  kx = 4
 
equations
  pressure : dx(kx*dx(pressure)) + dy(ky*dy(pressure)) = 0
 
boundaries
  region 1
      start(0,0)
        natural(pressure)=0 line to (5,0) to (5,5)
        value(pressure)=0   line to (2,2)
        natural(pressure)=0 line to (2.5,2) to (2.5,1.95) to (1.95,1.95)
        value(pressure)=100 line to close

monitors
  contour(pressure)

plots
  contour(pressure)
  surface(pressure)

end "BEiNFC6rni4eD9B/2z+8HT+oWJ0F0lWyVKXY8YJ+qdmeN0X+cpkUoZ0hLufVyDdgfKkwe4EQj7Fy9GAWvnPd2nDdU4sWaFAD3sEziw0MaaEMeHpFtW1dtOBFPkjVLW6oQImh0onOW1vui/DQ8aUeZC0L34HvMtSsNuslQgTlrZ2"
