{ 1D_SLAB.PDE

    this problem analyzes heat flow in a slab using 1D cartesian coordinates.
}

TITLE 'Heat flow through an Insulating layer in 1D'
COORDINATES
  Cartesian1  { default coordinate is 'X' }
VARIABLES
  Phi       { the temperature }
DEFINITIONS
  K = 1     { default conductivity }
  R = 0.5       { insulator thickness }
EQUATIONS
  Phi: Div(-k*grad(phi)) = 0
 
BOUNDARIES
  REGION 1      { the total domain }
    START(-1)   POINT VALUE(Phi)=0  
    LINE TO (1) POINT VALUE(Phi)=1  
    { note: no 'close'! }
  REGION 2  'blob'  { the embedded layer }
    k = 0.001
    START (-R) LINE TO (R)
PLOTS
  ELEVATION(Phi) FROM (-1) to (1)
END "IbDqbz8DNFHbYESxYhfuFHEarXmm5IS2XBHHxXSo+oakJ7RpV+D7kSEkeCgd4SC4Krz5EkcMt933mq+H974zZjECMOlm/pp/q344niwoe1wBaMO0IR4ykWreQjm21lFdCXG5IZW+9yIflJqXGD/+En6ZrZJ3kCLIDf/JvAB3KcY"
