{ 3D_FILLET.PDE  
 
  This problem demonstrates the use of the FILLET and BEVEL commands.
  Both controls act in the 2D layout, and are extruded into the z dimension.
}

title 'fillet test'

coordinates
    cartesian3

variables
    u

definitions
    k = 1
    u0 = 1-x^2-y^2
    s = 2*3/4+5*2/4

equations
    U: div(K*grad(u)) +s = 0

extrusion z=0,1

boundaries
    Region 1
        start(-1,-1)
        value(u)=u0 line to (1,-1)      FILLET(0.1)
                    to (-0.25,-0.25)    FILLET(0.1)
                    to (-1,1)           BEVEL(0.1)
                    to close

monitors
    grid(x,y,z)
    contour(u) on z=0.5

plots
    grid(x,y) on z=0.005
    grid(x,y) on z=0.5
    contour(u) on z=0.5
    contour(u)  on z=0.5 zoom(0.6,-1, 0.2,0.2)
    contour(u)  on z=0.5 zoom(-0.3,-0.3, 0.1,0.1)
end "Bn7msecFA3yUZS2M1BcXXZYyH+26tsJI4+OHRIBydJYckoRQk6lbVuUfdl2fAVp68+DweboTyNwaIdKO9trOQTR/gpvupqXHlf0O+8UF5YKjdDmiqkUuAZGSO8B7TAB0+baitYa94MH5bPAzk3f/PmNUEZTT0X6hN+sfrP0qABz"
