{ SINE1D.PDE

  This problem compares the solution accuracy for four different levels of ERRLIM. 

}

title '1D Accuracy test - Sine'

select
    ngrid=10
    stages = 4
    errlim = staged(1e-2, 1e-3, 1e-4, 1e-5)

coordinates
    cartesian1

variables
    u

definitions
    k = 1
    h = 0.1
    w=0.1
    rs = abs(x)/w
    u0 = sin(rs)/max(rs,1e-18)
    s = -dxx(u0)

equations
    U: div(K*grad(u)) +s = 0

boundaries
    Region 1
        start(-1)  point value(u)=u0
        line to (1)  point value(u)=u0

monitors
    elevation(u) from (-1) to (1)

plots
    elevation(u,u0) from (-1) to (1)
    elevation(u-u0) from (-1) to (1)
    elevation(-div(grad(u)),s) from (-1) to (1)

histories
    history(sqrt(integral((u-u0)^2)/sqrt(integral(u0^2))),errlim) LOG

end "GCeUzk4SYSXBZFIUaqDKeT0lwSP/2FFqvZrLf3GfxOOboKQupGi4rrn7zLiMLFeT3HMuAhZCfZ+1O3Wo1KEHpaBmWG29BARLwQSxsq5ICAk7nqJOfc1kXJgzztY3OkJ+GY2WMEG2gOb2nozg42Ljg9451KjZ46wPQLO4cGORf7W"
