{ SINE2D.PDE

  This problem compares the solution accuracy for four different levels of ERRLIM. 

}
 
title '2D Accuracy Test - Sine'
 
select
    stages = 4
    errlim = staged(1e-2, 1e-3, 1e-4, 1e-5)
 
variables
    u
 
definitions
    k = 1
    h = 0.1
    w=0.1
    rs = r/w
    u0 = sin(rs)/rs
    s = -dxx(u0)-dyy(u0)
  
equations
    U: div(K*grad(u)) +s = 0
 
boundaries
    Region 1
        start(-1,-1)  value(u)=u0
        line to (1,-1) to (1,1) to (-1,1) to close
 
monitors
    grid(x,y)
    contour(u)
 
plots
    grid(x,y)
    contour(u)
    elevation(u,u0) from(-1,0) to (1,0)
    elevation(u-u0) from(-1,0) to (1,0)
    elevation(dxx(u),dxx(u0)) from(-1,0) to (1,0)
    elevation(dxx(u)+dyy(u),-s) from(-1,0) to (1,0)
    contour(dxx(u)) contour(dxy(u)) contour(dyy(u))
 
histories
    history(sqrt(integral((u-u0)^2)/sqrt(integral(u0^2))), errlim) LOG
 
end "IygcCVs6ZocXOy9KOzhhdAxpnTIbntuwwFGI+ZjyBubFZq7sa16LpC49eNyrr8uze1zSIPh0FWn53yXGCmgfAnMT+rwWdm1dUX7FAubbSCPfX7BOaZpAR79v0+9MYcodJ9XW2TsD+NDtSg3qbTfrgNpd+0TmSl8hjbFiu+XHFXM"
