{ DRUMHOLE.PDE 
 
   *******************************************************************
    This example is a modification of "Drumhead.pde", in which
    the vibrating membrane has a circular hole.
    *******************************************************************  
}
 
title "Vibrational modes of a drumhead with a hole"
 
select
    modes=8            { -- Define the number of vibrational modes desired.
                             The appearance of this selector tells FlexPDE
                             to perform an eigenvalue calculation, and to
                             define the name LAMBDA to represent the eigenvalue }
 
variables
     u
 
equations             { -- the eigenvalue equation }
    U: div(grad(u)) + lambda*u   = 0
 
boundaries
    Region 1
        start(0,-1)
        value(u) = 0
            arc(center=0,0) angle 360
        start(0,-0.4)
        natural(u)=0
            arc(center=0,-0.2) angle=360
 
monitors              { -- repeated for all modes }
    contour(u)
 
plots                 { -- repeated for all modes }
    contour(u)
    surface(u)
 
end "JjBFEyj81kIAQAJ6amUp90E+W8A8hXmRhGPeoYJmohIfVTWWN5zdEebst6jv1zkMYfcuMRa0ahR+BeECBD2WXzbatHFPDHTgvFl8345pxCxYKcmByY5xjOLnJZau0qFo6liITknJtfWxmhvqaOwkc7byP2bTRg11zP9a1EoWkFt"
