{  TABLE.PDE

   This problem demonstrates the use of tabular data.
   It reads the file "TABLE.TBL", uses the data in a heat equation,
   and displays the table data.

}
title 'Table Input Test'
 
select
  errlim = 0.0005
 
variables
  u
 
definitions
  alpha = table('table.tbl')
  beta = 1/alpha
 
equations
  U:  div(alpha*grad(u)) + beta = 0
 
boundaries
  region 1
    start(0,10)
    value(u) = 0
    line to (0,0) to (10,0) to (10,10) to close
 
monitors
  contour(u)
 
plots
  grid(x,y)
  contour(alpha)  as "Conductivity (Table data)"
  surface(alpha) as 'Conductivity (Table data)'
  vector(grad(alpha)) as 'grad(table)'
  surface(beta)  as "Source (Table Reciprocal)"
  contour(u)  as "Temperature solution"
  surface(u)  as "Temperature solution"
 
end "H28WCzORS60GKgGsfZrMyEzZkXZGPUOQbJXRphE4vigPAYqd4iEOcJ2pyRbFXXfrA35sNN+uLAXnUbzzeil8pSQlQIsMb0rFul3b4anNfLycuItPfWIp/2WXgRBQMnwNiNbGbOL+poy68CN7BRpYvrnXrxXFLcgwkQvjUOOP1ww"
