{ MESH_SPACING.PDE  

  This example demonstrates the use of the MESH_SPACING parameter to
  control mesh density.
 
  A global density function is defined as a Gaussian distribution returning 
  1 unit mesh spacing at the center, falling to 0.018 at the corners.
 
  This global distribution is overridden by a regional definition of 
  0.02 mesh spacing in a central region.
 
}
 
title 'Cell Size Control'
 
variables
     u
 
definitions
     k = 1
     u0 = 1-x^2-y^2
     s = 2*3/4+5*2/4
     mesh_spacing = exp(-2*(x^2+y^2))
     b = 0.1
     c = 0.02
 
equations
     u : div(K*grad(u)) +s = 0
 
boundaries
     Region 1
        start(-1,-1)
        value(u)=u0     line to (1,-1) to (1,1) to (-1,1) to close
     Region 2
        mesh_spacing = c
        start(-b,-b)    line to (b,-b) to (b,b) to (-b,b) to close
 
plots
     grid(x,y)
     contour(u)
 
end "HFFD1jb49ZwdWGpOg7cZFf9x+F+cVOwhGMAigCmRPA04D4bcggLEgnzUt/4zXenEkIWR++uA7kbPrTaHKoWuo+FnJGAfQszWpFeDbmSST++ZNRdeC1kWoqXQIo276zU2Hp1pJ9hbdfn3nKcxSnANzgkPE3Py2Vl3+2q0Y23mdgO"
