  {  STAGES.PDE  
  
    This example demonstrates the use of staging to solve a problem for a range of parameters.  

     We stage both the equation parameters and the solution ERRLIM.

    The problem is a nonlinear test, which solves a modified steady-state Burgers equation.

  }

  title 'Staged Problem'

  select
     stages = 3 { run only the first three of the listed stages }
     errlim = staged(0.01, 0.001, 0.0005)

  Variables
     u

  definitions
     scale = staged(1, 2, 4, 8)     { extra value ignored }
     a = 1/scale

  Initial values
     u = 1 - (x-1)^2 - (y-1)^2

  equations
U:     div(a*grad(u)) + scale*u*dx(u) +4 = 0;

  boundaries
     region 1
        start(0,0)
        value(u)=0  line to (2,0) to (2,2) to (0,2) to close

  monitors
     contour(u)

  plots
     surface(u) report scale as "Scale"
     contour(u) report scale as "Scale"

  histories
     history(integral(u)) vs scale  as "Ingegral vs Scale"
  end "C4yslt+7nuKR7hjPGnMbi3+5QZgdVYtf9heakm8jWYbxsgAcCefJiSV0YR0GsWMqvchyIulbEhM0k1pthwmqearRYjmcPzwIGqAsviBFOYwxP0IFfQhIvs7Pv25XPAEIo0wnD4kw+lZoFXJw7Ed2KBEYyyFwWZcyIbQb3eG5liI"
